CONTOUR_CREATE_VIEWABLE(3)

EXPERIMENTAL_FUNC
contour_create_viewable - Create viewable contour image.

SYNOPSIS
#include <karma_contour.h>

KViewableContourImage contour_create_viewable

(KContourImage cimage, KWorldCanvas canvas, KViewableContourImageGroup group)

DESCRIPTION
This routine will create a viewable contour image object from a contour image. At a later time, this viewable contour image may be made visible. This routine will not cause the canvas to be refreshed.

cimage
    The contour image.

canvas
    The world canvas onto which the viewable contour image may be drawn. Many viewable contour images may be associated with a single canvas.

group
    The KViewableContourImageGroup to add the new object too. If NULL, it is not added to any group.

RETURN VALUE
A KViewableContourImage object on success, NULL.

Multi-threading Level
Unsafe.

NOTE
The KViewableContourImage will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/